<?php
/**
 * {@inheritdoc}
 *
 * Upravená verze - odesílá RUIAN místo UIR.
 *
 * Tuto verzi prosím používejte pouze na originální Sreality / exporty, které podporují RUIAN.
 */
class Dalten_Export_SrealityRuian extends Dalten_Export_Sreality
{
	/**
	 * {@inheritdoc}
	 *
	 * Upravená verze - odesílá RUIAN místo UIR.
	 */
	protected function _convert(array $convertedValues, array $originalvalues, $entityName)
	{
		$convertedValues = parent::_convert($convertedValues, $originalvalues, $entityName);

		if (($entityName === 'listing') or ($entityName == 'project')) {
		    if (isset($convertedValues['locality_uir_level']) && $convertedValues['locality_uir']) {
                $convertedValues['locality_ruian_level'] = $convertedValues['locality_uir_level'];
                $convertedValues['locality_ruian'] = $convertedValues['locality_uir'];
                unset($convertedValues['locality_uir_level'], $convertedValues['locality_uir']);
            }
		}

		return $convertedValues;
	}
}
